<div class="row">
    <div class="five columns">
        {{ galeriaReferencia|raw }}			
    </div>
    <div class="seven columns">
        {% if listaReferencias|length > 0 %}
            {% for ref in listaReferencias %}
                <div class="contenedorInfoArticulo">
                    <div class="titulo1">{{ ref.nombre }}</div>
                    <div class="subtituloDetalleRef">${{ ref.valor_base|number_format }}</div>        			
                    <div class="separador"></div>
                    <div>{{ ref.descripcion }}</div>
                    <br />

                    {% if ref.referencia|length > 0 %}				
                    <div class="referenciaArticulo">Ref. {{ ref.referencia }}</div>
                    <br />
                    {% endif %}

                    <div>
                    {# % if ref.existencias > 0 %}
                        Disponible
                    {% else %}
                        No disponible
                    {% endif % #}
                    </div>

                    {% set atributos = ref.id|getAtributosDet %}
                    {% if atributos|length > 0 %}
                    <div class="titulo2">Caracter&iacute;sticas</div>
                    <div class="separador"></div>
                    <ul class="atributos">
                    {% for a in atributos %}
                        {% if a.valor|length > 0 %}
                            <li>{{ a.descripcion }}: {{ a.valor }}</li>
                        {% endif %}
                    {% endfor %}
                    </ul>
                    {% endif %}
                    
                    {% set listaColores = ref.id|getColores %}
                    {% set color = 0 %}
                    
                    {% if listaColores|length > 0 %}
                        <div class="listaColores"  {% if listaColores|length == 1 %}style="display: none"{% endif %}>
                            {% set color = listaColores[0].id %}
                            {% for c in listaColores %}
                            <input type="radio" class="color" id="color{{ ref.id }}{{ c.id }}" name="color{{ ref.id }}" data-ref="{{ ref.id }}" value="{{ c.id }}" {% if listaColores|length == 1 %}checked{% endif %}/>
                            <label for="color{{ ref.id }}{{ c.id }}" style="background-color: {{ c.color }}">{{ c.nombre_color }}</label>
                            {% endfor %}
                            <div style="clear: left"> </div>
                        </div>
                    {% endif %}
                    
                    {% set listaTallas = ref.id|getTallas(color) %}
                    {% if listaTallas|length > 0 %}
                        <div {% if listaTallas|length == 1 %}style="display: none"{% endif %}>    	            	
                            <select class="selectTalla" id="talla{{ ref.id }}" data-ref="{{ ref.id }}">
                                <option value="0">Elige la Talla</option>
                                {% for t in listaTallas %}
                                <option value="{{ t.id_talla }}" {% if listaTallas|length == 1 %}selected{% endif %}>{{ t.abrev }}</option>
                                {% endfor %}
                            </select>
                        </div>
                        <br />
                    {% endif %}
                    <div>Elige la cantidad  	              
                    <input type="text" class="inputCantidad" id="cantidad{{ ref.id }}" value="1" data-ref="{{ ref.id }}" />
                    </div>
                </div>
                <div class="accionesArticulo">
                    <div class="botonAccion" style="float: right; margin-right: 5px;">
                        <a rel="agrCarrito" data-ref="{{ ref.id }}" href="index.php?option={{ componente }}&helper={{ helperCarrito }}&task=guardarItemCarrito&idReferencia={{ ref.id }}">Comprar</a>
                    </div>
                    <div class="botonAccion regresar" style="float: right; margin-right: 5px;">
                        <a href="index.php?option={{ componente }}&helper={{ helper }}">Regresar</a>
                    </div>
                    <div style="clear: both; float: none"> </div>
                </div>
            {% endfor %}
        {% else %}
            <div><strong>Este conjunto no tiene productos asociados.</strong></div>
        {% endif %}
    </div>
</div>
